org.apache.ignite.internal.processors.cache.persistence.wal

## Interface ByteBufferBackedDataInput

All Superinterfaces:
  DataInput

All Known Implementing Classes:
  ByteBufferBackedDataInputImpl, FileInput, FileInput.Crc32CheckingFileInput

    public interface ByteBufferBackedDataInput
    extends DataInput

ByteBuffer backed data input

### Method Summary

All Methods Instance Methods Abstract Methods
`ByteBuffer` `buffer()`
`void` `ensure(int requested)` ensure that requested count of byte is available in data input and will try to load data if not

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Method Detail

#### buffer

    ByteBuffer buffer()

Returns:
  ByteBuffer hold by data input

#### ensure

    void ensure(int requested)
         throws IOException

ensure that requested count of byte is available in data input and will try to load data if not

Parameters:
  `requested` - Requested number of bytes.
Throws:
  `IOException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018